=== modified file 'src/main.c'
--- src/main.c	2013-07-02 01:55:54 +0000
+++ src/main.c	2013-10-17 12:36:09 +0000
@@ -43,6 +43,12 @@
   GMainLoop * loop;
   IndicatorSessionService * service;
 
+  /* Work around a deadlock in glib's type initialization. It can be
+   * removed when https://bugzilla.gnome.org/show_bug.cgi?id=674885 is
+   * fixed.
+   */
+  g_type_ensure (G_TYPE_DBUS_CONNECTION);
+
   /* boilerplate i18n */
   setlocale (LC_ALL, "");
   bindtextdomain (GETTEXT_PACKAGE, GNOMELOCALEDIR);

